Runtime

## org.eclipse.gmf.runtime.notation
Interface ImageBufferStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ImageStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  ImageBufferStyleImpl

    public interface ImageBufferStyle

extends ImageStyle

A representation of the model object 'Image Buffer Style'.

The following features are supported:

- `Image Buffer`

See Also:
  `NotationPackage.getImageBufferStyle()`
** Generated **
Model:

Method Summary
`Image` `getImageBuffer()` Returns the value of the 'Image Buffer' containment reference
`void` `setImageBuffer(Image value)` Sets the value of the '`Image Buffer`' containment reference

Methods inherited from interface org.eclipse.gmf.runtime.notation.ImageStyle
`getAntiAlias, getCropBound, getMaintainAspectRatio, setAntiAlias, setCropBound, setMaintainAspectRatio`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getImageBuffer

    Image getImageBuffer()

  Returns the value of the 'Image Buffer' containment reference.

  If the meaning of the 'Image Buffer' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Image Buffer' containment reference.
  See Also:
    `setImageBuffer(Image)`, `NotationPackage.getImageBufferStyle_ImageBuffer()`
  ** Generated **
  Model:
    containment="true" required="true"

### setImageBuffer

    void setImageBuffer(Image value)

  Sets the value of the '`Image Buffer`' containment reference.

  Parameters:
    `value` - the new value of the 'Image Buffer' containment reference.
  See Also:
    `getImageBuffer()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.